> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nudj.cx/llms.txt
> Use this file to discover all available pages before exploring further.

# Get paginated reward entries for a specific reward

> Retrieves a paginated list of all values for a given variable configuration.



## OpenAPI

````yaml /openapi/admin.json get /rewards/{rewardId}/entries
openapi: 3.1.0
info:
  title: Nudj Admin API
  version: 1.0.0
servers:
  - url: https://{subdomain}.nudj.cx/api/v2/admin
    description: Organization API Server
    variables:
      subdomain:
        description: Your organization's subdomain (required)
        default: your-org
security:
  - ApiToken: []
paths:
  /rewards/{rewardId}/entries:
    get:
      tags:
        - Reward
      summary: Get paginated reward entries for a specific reward
      description: >-
        Retrieves a paginated list of all values for a given variable
        configuration.
      operationId: getPaginatedRewardEntries
      parameters:
        - in: path
          name: rewardId
          schema:
            type: string
            pattern: ^[0-9a-fA-F]{24}$
          required: true
        - in: query
          name: limit
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 10
          required: false
        - in: query
          name: skip
          schema:
            type: integer
            minimum: 0
            default: 0
          required: false
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  totalCount:
                    type: number
                  edges:
                    type: array
                    items:
                      $ref: '#/components/schemas/RewardEntry'
                required:
                  - totalCount
                  - edges
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
components:
  schemas:
    RewardEntry:
      type: object
      properties:
        id:
          type: string
        organisationId:
          type: string
        communityId:
          type: string
        rewardId:
          type: string
        userId:
          type: string
        rewardAssetIds:
          type:
            - array
            - 'null'
          items:
            type: string
        details:
          $ref: '#/components/schemas/Details'
        totalEntries:
          type: number
        entries:
          type: array
          items:
            $ref: '#/components/schemas/RewardEntryReference'
        tags:
          type: array
          items:
            type: string
        campaigns:
          type: array
          items:
            type: string
        checkByDate:
          type:
            - string
            - 'null'
        checkedAt:
          type:
            - string
            - 'null'
        drawnAt:
          type:
            - string
            - 'null'
        createdAt:
          type: string
        updatedAt:
          type: string
        additionalCommunityIds:
          type: array
          items:
            type: string
          description: Additional communities this reward entry belongs to/is available in
      required:
        - id
        - organisationId
        - communityId
        - rewardId
        - userId
        - details
        - totalEntries
        - entries
        - tags
        - campaigns
        - createdAt
        - updatedAt
        - additionalCommunityIds
      title: Reward Entry
      description: A reward entry
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Not found
        code:
          type: string
          description: The error code
          example: NOT_FOUND
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: NOT_FOUND
        message: Not found
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
    Details:
      type: object
      properties:
        title:
          type: string
          description: The title of the entity
        description:
          type:
            - string
            - 'null'
          description: The description of the entity
        light:
          type: object
          properties:
            primaryImageUrl:
              type:
                - string
                - 'null'
              description: The url of the primary image for this theme mode
            secondaryImageUrl:
              type:
                - string
                - 'null'
              description: The url of the secondary image for this theme mode
          required:
            - primaryImageUrl
            - secondaryImageUrl
          description: Light theme images
        dark:
          type: object
          properties:
            primaryImageUrl:
              type:
                - string
                - 'null'
              description: The url of the primary image for this theme mode
            secondaryImageUrl:
              type:
                - string
                - 'null'
              description: The url of the secondary image for this theme mode
          required:
            - primaryImageUrl
            - secondaryImageUrl
          description: Dark theme images
      required:
        - title
        - description
        - light
        - dark
      description: Used to describe an entity
      title: Details
    RewardEntryReference:
      type: object
      properties:
        allocationId:
          type: string
        amount:
          type: number
        createdAt:
          type: string
      required:
        - allocationId
        - amount
        - createdAt
      title: Reward Entry Reference
      description: A reward entry reference
  securitySchemes:
    ApiToken:
      type: apiKey
      in: header
      name: x-api-token

````